Avogadro 2 Python Input Generators
==========
![Avogadro 2][Avogadro2Logo]

Introduction
------------

Avogadro is an advanced molecular editor designed for cross-platform use in
computational chemistry, molecular modeling, bioinformatics, materials science,
and related areas. This repository contains the Python input generators that
can be run on the command line by the Avogadro 2 application to generate input
for various codes, such as NWChem, Gaussian, MOPAC, and others.


![Open Chemistry project][OpenChemistryLogo]
![Kitware, Inc.][KitwareLogo]

Avogadro 2 is being developed as part of the [Open Chemistry][OpenChemistry]
project at [Kitware][Kitware], along with companion tools and libraries to
support the work.

Installing
----------

These scripts need to be installed in a location where the Avogadro 2
application can find them. They use the JSON API described in the Avogadro 2
API documentation, but the best way to learn is to look at the existing scripts
and adapt them to your needs.

Contributing
------------

You should fork the repository on GitHub, and submit a pull request for new
input generators. We encourage you to discuss any new generators on our
development list.

Our [wiki][Wiki] is used to document features, flesh out designs and host other
documentation. Our API is [documented using Doxygen][Doxygen] with updated
documentation generated nightly. We have several [mailing lists][MailingLists]
to coordinate development and to provide support.

  [Avogadro2Logo]: http://openchemistry.org/files/logos/avogadro2.png "Avogadro2"
  [OpenChemistry]: http://openchemistry.org/ "Open Chemistry Project"
  [OpenChemistryLogo]: http://openchemistry.org/files/logos/openchem128.png "Open Chemistry"
  [Kitware]: http://kitware.com/ "Kitware, Inc."
  [KitwareLogo]: http://www.kitware.com/img/small_logo_over.png "Kitware"
  [Avogadro1]: http://avogadro.openmolecules.net/ "Avogadro 1"
  [Dashboard]: http://cdash.openchemistry.org/index.php?project=AvogadroApp "Avogadro Dashboard"
  [Development]: http://wiki.openchemistry.org/Development "Development guide"
  [Projects]: http://projects.openchemistry.org/ "Project trackers"
  [Wiki]: http://wiki.openchemistry.org/ "Open Chemistry wiki"
  [Doxygen]: http://doc.openchemistry.org/avogadrolibs/api/ "API documentation"
  [MailingLists]: http://openchemistry.org/OpenChemistry/help/mailing.html
